/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Brodu                                   *
 *   nicolas.brodu@free.fr                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <iostream>
using namespace std;

#include "Analyzer.h"
#include "Utility.h"
#include "QSettings.h"

int main(int argc, const char** argv) {
    Wavelet* wavelet = DW6::getInstance();
    Utility::RandomInit(42);
    
    Analyzer anaMEM(6,20,wavelet);
    Analyzer anaCPU(6,20,wavelet,true,true,true,false);

    double value = 0.0;
    for (int i=0; i<100000; ++i) {
        value += Utility::PRandom();
        anaMEM.newDataMFA(value);
        anaCPU.newDataMFA(value);
        for (int j=0; j<NUM_Q; ++j) {
            if (anaMEM.hq[j] != anaCPU.hq[j]) cout << "i=" << i << ", hMEM("<<GET_Q_FOR_INDEX(j)<<")="<<anaMEM.hq[j]<< " != hCPU("<<GET_Q_FOR_INDEX(j)<<")="<<anaCPU.hq[j]<<endl;
            //if (anaMEM.squaredCorrelation[j] != anaCPU.squaredCorrelation[j]) cout << "r error i=" << i << "q=" << GET_Q_FOR_INDEX(j) << endl;
        }
    }
}
